org.apache.commons.imaging.formats.png

## Class PngConstants

- java.lang.Object
- - org.apache.commons.imaging.formats.png.PngConstants

-     public final class PngConstants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `COMPRESSION_DEFLATE_INFLATE`
    `static byte` | `COMPRESSION_TYPE_INFLATE_DEFLATE`
    `static byte` | `FILTER_METHOD_ADAPTIVE`
    `static String` | `PARAM_KEY_PHYSICAL_SCALE` Parameter key.
    `static String` | `PARAM_KEY_PNG_BIT_DEPTH`
    `static String` | `PARAM_KEY_PNG_COMPRESSION_LEVEL` Parameter key.
    `static String` | `PARAM_KEY_PNG_FORCE_INDEXED_COLOR`
    `static String` | `PARAM_KEY_PNG_FORCE_TRUE_COLOR`
    `static String` | `PARAM_KEY_PNG_TEXT_CHUNKS` Parameter key.
    `static BinaryConstant` | `PNG_SIGNATURE`
    `static String` | `XMP_KEYWORD`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPRESSION_DEFLATE_INFLATE

          public static final int COMPRESSION_DEFLATE_INFLATE

      See Also:
        Constant Field Values

    - #### PNG_SIGNATURE

          public static final BinaryConstant PNG_SIGNATURE

    - #### PARAM_KEY_PNG_BIT_DEPTH

          public static final String PARAM_KEY_PNG_BIT_DEPTH

      See Also:
        Constant Field Values

    - #### PARAM_KEY_PNG_FORCE_INDEXED_COLOR

          public static final String PARAM_KEY_PNG_FORCE_INDEXED_COLOR

      See Also:
        Constant Field Values

    - #### PARAM_KEY_PNG_FORCE_TRUE_COLOR

          public static final String PARAM_KEY_PNG_FORCE_TRUE_COLOR

      See Also:
        Constant Field Values

    - #### COMPRESSION_TYPE_INFLATE_DEFLATE

          public static final byte COMPRESSION_TYPE_INFLATE_DEFLATE

      See Also:
        Constant Field Values

    - #### FILTER_METHOD_ADAPTIVE

          public static final byte FILTER_METHOD_ADAPTIVE

      See Also:
        Constant Field Values

    - #### XMP_KEYWORD

          public static final String XMP_KEYWORD

      See Also:
        Constant Field Values

    - #### PARAM_KEY_PNG_TEXT_CHUNKS

          public static final String PARAM_KEY_PNG_TEXT_CHUNKS

      Parameter key.

      Only used when writing Png images.

      Valid values: a list of WriteTexts.

      See Also:
        Constant Field Values

    - #### PARAM_KEY_PHYSICAL_SCALE

          public static final String PARAM_KEY_PHYSICAL_SCALE

      Parameter key. Used in write operations to indicate the Physical Scale - sCAL.

      Valid values: PhysicalScale

      See Also:
        `PhysicalScale`, Constant Field Values

    - #### PARAM_KEY_PNG_COMPRESSION_LEVEL

          public static final String PARAM_KEY_PNG_COMPRESSION_LEVEL

      Parameter key. Used to indicate the PNG compression level to be used.

      For valid values, see `Deflater`. If no value is specified, it will use the default compression level.

      See Also:
        `Deflater`, Constant Field Values

Copyright © 2007–2020 The Apache Software Foundation. All rights reserved.